version : '3.8'
services:
  ruoyi-nginx:
    container_name: hwsaas-nginx
    image: nginx
    build:
      context: ./nginx
    ports:
      - "80:80"
    volumes:
      - ./nginx/html/dist:/home/ruoyi/projects/ruoyi-ui
      - ./nginx/conf/nginx.conf:/etc/nginx/nginx.conf
      - ./nginx/logs:/var/log/nginx
      - ./nginx/conf.d:/etc/nginx/conf.d
    depends_on:
      - ruoyi-gateway
    links:
      - ruoyi-gateway
  ruoyi-gateway:
    container_name: ruoyi-gateway
    build:
      context: ./ruoyi/gateway
      dockerfile: dockerfile
    ports:
      - "9080:9080"
  ruoyi-auth:
    container_name: ruoyi-auth
    build:
      context: ./ruoyi/auth
      dockerfile: dockerfile
    ports:
      - "9660:9660"
  ruoyi-modules-system:
    container_name: ruoyi-modules-system
    build:
      context: ./ruoyi/modules/system
      dockerfile: dockerfile
    ports:
      - "9661:9661"
  ruoyi-modules-job:
    container_name: ruoyi-modules-job
    build:
      context: ./ruoyi/modules/job
      dockerfile: dockerfile
    ports:
      - "9663:9663"
  ruoyi-modules-file:
    container_name: ruoyi-modules-file
    build:
      context: ./ruoyi/modules/file
      dockerfile: dockerfile
    ports:
      - "9665:9665"
    volumes:
      - ./ruoyi/uploadPath:/home/ruoyi/uploadPath
  ruoyi-modules-basic:
    container_name: ruoyi-modules-basic
    build:
      context: ./ruoyi/modules/basic
      dockerfile: dockerfile
    ports:
      - "9600:9600"
  ruoyi-modules-business:
    container_name: ruoyi-modules-business
    build:
      context: ./ruoyi/modules/business
      dockerfile: dockerfile
    ports:
      - "9601:9601"
  ruoyi-modules-mqttbroker:
    container_name: ruoyi-modules-mqttbroker
    build:
      context: ./ruoyi/modules/mqttbroker
      dockerfile: dockerfile
    ports:
      - "9605:9605"
  ruoyi-modules-dataprocess:
    container_name: ruoyi-modules-dataprocess
    build:
      context: ./ruoyi/modules/dataprocess
      dockerfile: dockerfile
    ports:
      - "9603:9603"
    depends_on:
      - ruoyi-modules-mqttbroker
    links:
      - ruoyi-modules-mqttbroker
  ruoyi-modules-tdengine:
    container_name: ruoyi-modules-tdengine
    build:
      context: ./ruoyi/modules/tdengine
      dockerfile: dockerfile
    ports:
      - "9602:9602"

